Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592582 - sys-apps/ipmiutil fails to build with >=dev-libs/openssl-1.1.0
Summary: sys-apps/ipmiutil fails to build with >=dev-libs/openssl-1.1.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sysadmin Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2016-08-31 12:17 UTC by Lars Wendler (Polynomial-C)
Modified: 2018-10-24 16:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,11.39 KB, text/plain)
2016-08-31 12:17 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2016-08-31 12:17:11 UTC
Created attachment 444618 [details]
build.log

x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I. -I./inc    -DLINUX -DSKIP_MD2 -fPIC -Wno-pointer-sign -Wno-sign-conversion   -fPIC  -DHAVE_LANPLUS -DHAVE_SHA256 -march=native -mtune=native -O2 -pipe -c -o lanplus_crypt_impl.o lanplus_crypt_impl.c
lanplus_crypt_impl.c: In function ‘lanplus_encrypt_aes_cbc_128’:
lanplus_crypt_impl.c:199:17: error: storage size of ‘ctx’ isn’t known
  EVP_CIPHER_CTX ctx;
                 ^
lanplus_crypt_impl.c:200:2: warning: implicit declaration of function ‘EVP_CIPHER_CTX_init’ [-Wimplicit-function-declaration]
  EVP_CIPHER_CTX_init(&ctx);
  ^
lanplus_crypt_impl.c:241:4: warning: implicit declaration of function ‘EVP_CIPHER_CTX_cleanup’ [-Wimplicit-function-declaration]
    EVP_CIPHER_CTX_cleanup(&ctx);
    ^
lanplus_crypt_impl.c: In function ‘lanplus_decrypt_aes_cbc_128’:
lanplus_crypt_impl.c:271:17: error: storage size of ‘ctx’ isn’t known
  EVP_CIPHER_CTX ctx;
                 ^
make: *** [Makefile:464: lanplus_crypt_impl.o] Error 1
Comment 1 Conrad Kostecki gentoo-dev 2018-04-18 18:28:44 UTC
Acording to https://sourceforge.net/p/ipmiutil/feature-requests/8/, it is fixed since 3.0.1, but your test was on 2.9.9. Portage has 3.0.9.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2018-09-29 17:19:49 UTC
Since we decided to no longer build openssl without deprecated features, this bug can now be considered as fixed (but will eventually reappear once openssl upstream finally removed deprecated features from their code).